## McdManager McdManager — Manager class representing Telepathy connection manager |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <mcd-manager.h>

                        McdManager;
    McdManager *        mcd_manager_new                     (const gchar *unique_name,
                                                             McdDispatcher *dispatcher,
                                                             TpDBusDaemon *dbus_daemon);
    gboolean            mcd_manager_cancel_channel_request  (McdManager *manager,
                                                             guint operation_id,
                                                             const gchar *requestor_client_pid,
                                                             GError **error);
    McdConnection *     mcd_manager_get_connection          (McdManager *manager,
                                                             const gchar *object_path);

## Object Hierarchy

      GObject
       +----McdMission
             +----McdOperation
                   +----McdManager

## Properties

      "dbus-daemon"              TpDBusDaemon*         : Read / Write / Construct
      "dispatcher"               McdDispatcher*        : Read / Write / Construct Only
      "name"                     gchar*                : Write / Construct Only

## Description

FIXME

## Details

### McdManager

    typedef struct _McdManager McdManager;

### mcd_manager_new ()

    McdManager *        mcd_manager_new                     (const gchar *unique_name,
                                                             McdDispatcher *dispatcher,
                                                             TpDBusDaemon *dbus_daemon);

`unique_name` : |
`dispatcher` : |
`dbus_daemon` : |
Returns : |

### mcd_manager_cancel_channel_request ()

    gboolean            mcd_manager_cancel_channel_request  (McdManager *manager,
                                                             guint operation_id,
                                                             const gchar *requestor_client_pid,
                                                             GError **error);

`manager` : |
`operation_id` : |
`requestor_client_pid` : |
`error` : |
Returns : |

### mcd_manager_get_connection ()

    McdConnection *     mcd_manager_get_connection          (McdManager *manager,
                                                             const gchar *object_path);

`manager` : |
`object_path` : |
Returns : |

## Property Details

### The `"dbus-daemon"` property

      "dbus-daemon"              TpDBusDaemon*         : Read / Write / Construct

DBus daemon.

### The `"dispatcher"` property

      "dispatcher"               McdDispatcher*        : Read / Write / Construct Only

Dispatcher.

### The `"name"` property

      "name"                     gchar*                : Write / Construct Only

Name.

Default value: NULL